import * as React from "react";
import * as PropTypes from "prop-types";
declare class Portal extends React.Component<{}, {
    current?: HTMLElement;
}> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        children: any;
    };
    state: {
        current?: HTMLElement;
    };
    componentWillUnmount(): void;
    private refCallback;
    render(): React.ReactNode;
}
export default Portal;
